Browse files

prepare gemcutter release

  • Loading branch information...
1 parent 95d80fa commit 7d826e1b5ce52c6a53996b02f2e24789275e9632 @svenfuchs svenfuchs committed Nov 8, 2009
Showing with 117 additions and 1 deletion.
  1. +17 −0 Rakefile
  2. +1 −1 VERSION
  3. +99 −0 globalize2.gemspec
View
17 Rakefile
@@ -20,3 +20,20 @@ Rake::RDocTask.new(:rdoc) do |rdoc|
rdoc.rdoc_files.include('README')
rdoc.rdoc_files.include('lib/**/*.rb')
end
+
+begin
+ require 'jeweler'
+ Jeweler::Tasks.new do |s|
+ s.name = "globalize2"
+ s.summary = "Rails I18n: de-facto standard library for ActiveRecord data translation"
+ s.description = "Rails I18n: de-facto standard library for ActiveRecord data translation"
+ s.email = "joshmh@gmail.com"
+ s.homepage = "http://github.com/joshmh/globalize2"
+ # s.rubyforge_project = ''
+ s.authors = ["Sven Fuchs, Joshua Harvey, Clemens Kofler"]
+ # s.add_development_dependency ''
+ end
+ Jeweler::GemcutterTasks.new
+rescue LoadError
+ puts "Jeweler not available. Install it with: sudo gem install technicalpickles-jeweler -s http://gems.github.com"
+end
View
2 VERSION
@@ -1 +1 @@
-0.0.0
+0.1.0
View
99 globalize2.gemspec
@@ -0,0 +1,99 @@
+# Generated by jeweler
+# DO NOT EDIT THIS FILE
+# Instead, edit Jeweler::Tasks in Rakefile, and run `rake gemspec`
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{globalize2}
+ s.version = "0.1.0"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Sven Fuchs, Joshua Harvey, Clemens Kofler"]
+ s.date = %q{2009-11-08}
+ s.description = %q{Rails I18n: de-facto standard library for ActiveRecord data translation}
+ s.email = %q{joshmh@gmail.com}
+ s.extra_rdoc_files = [
+ "LICENSE",
+ "README.textile"
+ ]
+ s.files = [
+ ".gitignore",
+ "LICENSE",
+ "README.textile",
+ "Rakefile",
+ "VERSION",
+ "generators/db_backend.rb",
+ "generators/templates/db_backend_migration.rb",
+ "init.rb",
+ "lib/globalize/backend/chain.rb",
+ "lib/globalize/backend/pluralizing.rb",
+ "lib/globalize/backend/static.rb",
+ "lib/globalize/i18n/missing_translations_log_handler.rb",
+ "lib/globalize/i18n/missing_translations_raise_handler.rb",
+ "lib/globalize/load_path.rb",
+ "lib/globalize/locale/fallbacks.rb",
+ "lib/globalize/locale/language_tag.rb",
+ "lib/globalize/model/active_record.rb",
+ "lib/globalize/model/active_record/adapter.rb",
+ "lib/globalize/model/active_record/translated.rb",
+ "lib/globalize/translation.rb",
+ "lib/locale/root.yml",
+ "lib/rails_edge_load_path_patch.rb",
+ "notes.textile",
+ "test/all.rb",
+ "test/backends/chained_test.rb",
+ "test/backends/pluralizing_test.rb",
+ "test/backends/static_test.rb",
+ "test/data/locale/all.yml",
+ "test/data/locale/de-DE.yml",
+ "test/data/locale/en-US.yml",
+ "test/data/locale/en-US/module.yml",
+ "test/data/locale/fi-FI/module.yml",
+ "test/data/locale/root.yml",
+ "test/data/models.rb",
+ "test/data/no_globalize_schema.rb",
+ "test/data/schema.rb",
+ "test/i18n/missing_translations_test.rb",
+ "test/load_path_test.rb",
+ "test/locale/fallbacks_test.rb",
+ "test/locale/language_tag_test.rb",
+ "test/model/active_record/migration_test.rb",
+ "test/model/active_record/sti_translated_test.rb",
+ "test/model/active_record/translated_test.rb",
+ "test/test_helper.rb",
+ "test/translation_test.rb"
+ ]
+ s.homepage = %q{http://github.com/joshmh/globalize2}
+ s.rdoc_options = ["--charset=UTF-8"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = %q{1.3.5}
+ s.summary = %q{Rails I18n: de-facto standard library for ActiveRecord data translation}
+ s.test_files = [
+ "test/all.rb",
+ "test/backends/chained_test.rb",
+ "test/backends/pluralizing_test.rb",
+ "test/backends/static_test.rb",
+ "test/data/models.rb",
+ "test/data/no_globalize_schema.rb",
+ "test/data/schema.rb",
+ "test/i18n/missing_translations_test.rb",
+ "test/load_path_test.rb",
+ "test/locale/fallbacks_test.rb",
+ "test/locale/language_tag_test.rb",
+ "test/model/active_record/migration_test.rb",
+ "test/model/active_record/sti_translated_test.rb",
+ "test/model/active_record/translated_test.rb",
+ "test/test_helper.rb",
+ "test/translation_test.rb"
+ ]
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ else
+ end
+ else
+ end
+end

0 comments on commit 7d826e1

Please sign in to comment.